<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />

  <title>AJAX Solr</title>

  <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="http://www.datatables.net/rss.xml">
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/themes/smoothness/jquery-ui.css">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">

  <link rel="stylesheet" href="css/ega-template.css">
  <link rel="stylesheet" href="css/solr_web.css">
  <link rel="stylesheet" href="css/RangeWidget.css">

</head>

<body>
  <header>
    <div id="header">
      <h1>AJAX Solr EGA Demonstration</h1>
    </div>
  </header>
  <div class="main-content">
    <div class="data-table">
      <div class="container">
        <div class="row">

          <div class="col-md-12 order-1 col-sm-12 col-xs-12  nopad-r-mob">
            <div>

            </div>
            <div class="col-sm-4 order-12 order-sm-1 leftbox" id="lef">
              <article style="background-color: #393b44;">
                <div>
                  <h2>Current Selection</h2>
                  <ul id="selection"></ul>

                  <h2>Search text or facet fields</h2></br>
                  <ul id="search">
                    <input type="text" id="query" name="query" autocomplete="off">
                  </ul>

                  <section class="facet-list">

                    <div>
                      <h2>Type</h2>
                      <div class="tagcloud" id="type"></div>
                    </div>

                    <div class="repository-class">
                      <h2>Repository</h2>
                      <div class="tagcloud" id="repository"></div>
                    </div>

                    <div class="study_type-class">
                      <h2>Study type</h2>
                      <div class="tagcloud" id="study_type"></div>
                    </div>

                    <div class="dataset_type-class">
                      <h2>Dataset type</h2>
                      <div class="tagcloud" id="dataset_type"></div>
                    </div>

                    <div class="dataset_technology-class">
                      <h2>Dataset technology</h2>
                      <div class="tagcloud" id="dataset_technology"></div>
                    </div>

                    <div class="phenotypes-class">
                      <h2>Phenotypes</h2>
                      <div class="tagcloud" id="phenotypes"></div>
                    </div>

                    <div class="file_formats-class">
                      <h2>File formats</h2>
                      <div class="tagcloud" id="file_formats"></div>
                    </div>

                    <div class="is_in_beacon-class">
                      <h2>Beacon</h2>
                      <div class="tagcloud" id="is_in_beacon"></div>
                    </div>

                    <div class="DUO-class">
                      <h2>DUOs</h2>
                      <div class="tagcloud" id="DUO"></div>
                    </div>
                    <!-- If dataset is not selected, hide the samples -->
                    <div class="dataset_type-class">
                      <h2>Samples</h2>
                      <div class="tagcloud" id="samples"></div>
                    </div>

                    <div class="domain-class">
                      <h2>Domain</h2>
                      <div class="tagcloud" id="domain"></div>
                    </div>

                  </section>
                  <div class="clear"></div>
                </div>
              </article>
            </div>

            <div style="visibility: hidden;width: 2px;height: 2px;">
              <div id="result">
                <div class="navigation">
                  <div id="pager-header"></div></br>
                  <ul class="pager-style" id="pager"></ul>
                </div>
                <div id="docs"></div>
                <div class="navigation">
                  <br>
                  <ul class="pager-style" id="pager2"></ul>
                </div>
              </div>
            </div>
            <div class="col-sm-8 order-1 order-sm-12 brand-holder" id="prueba">
              <div id="bkt_db_tables">

                <span class="data-title">
                  <i class="fa fa-folder-open fa-fw"></i>
                  Total number of results: </span><span class="data-number"></span>
                <table id="example" class="display" width="100%">

                  <thead>
                    <tr>
                      <th>ID</th>
                      <th>Title</th>

                    </tr>
                  </thead>


                </table>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="clear"></div>

    <div id="url">

    </div>

   
  </div>




  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/jquery-ui.min.js"></script>

  <script src="https://kit.fontawesome.com/a076d05399.js"></script>
  <script type="text/javascript" language="javascript"
    src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/plug-ins/1.10.21/pagination/full_numbers_no_ellipses.js"></script>

  <script src="core/Core.js"></script>
  <script src="core/AbstractManager.js"></script>
  <script src="managers/Manager.jquery.js"></script>
  <script src="core/Parameter.js"></script>
  <script src="core/ParameterStore.js"></script>
  <script src="core/AbstractWidget.js"></script>
  <script src="widgets/jquery/PagerWidget.js"></script>
  <script src="core/AbstractFacetWidget.js"></script>
  <script src="widgets/TagcloudWidget.js"></script>
  <script src="widgets/CurrentSearchWidget.js"></script>
  <script src="core/AbstractTextWidget.js"></script>
  <script src="widgets/AutocompleteWidget.js"></script>
  <!-- Extensions -->
  <script src="widgets/RangeWidget.js"></script>
  <script src="widgets/ResultWidget.js"></script>
  <script src="widgets/MultiSelectWidget.js"></script>

  <!-- and cue music -->
  <script src="js/solr_web.js"></script>

 


  <script type="text/javascript">
    jQuery(document).ready(function ($) {


      $('#example').dataTable({

        "pagingType": "full_numbers_no_ellipses",

        fnDrawCallback: function (settings) {
          $('span.data-number').html(settings._iRecordsTotal);
        },

        "fnRowCallback":
          function (nRow, aData, iDisplayIndex, iDisplayIndexFull, rowTemplate) {
            // iterate throught template row, find item and replace it
            var description = null;
            if (aData['description'] == undefined || aData['description'] == null || aData['description'].length == 0) {
              description = 'N/A';
            }
            else {
              description = "..." + aData['description'].toString().substring(0, 50) + "...";
            }
            $('td:eq(0)', nRow).html(aData['id']);
            $('td:eq(1)', nRow).html(
              '<span class="search-title">'
              + '<a href="' + aData['url'] + '" >'
              + (typeof aData['title'] === 'undefined' ? 'undefined' : aData['title'])
              + '</a>'
              + '</span>'
              + '<p>'
              + description
              + '</p>'
            );

            return nRow;
          },

        "processing": true,
        "serverSide": true,
        "bLengthChange": true,

        "ajax": function (data, callback, settings) {
          $.ajax({
            "url": 'https://web2.ega-archive.org/solr-proxy',
            "data": $.extend({}, data, { 'wt': 'json', 'q': 'id:*', 'fq': 'dataset_type: "study summary information"', 'rows': parseInt(settings._iDisplayLength) }),
            "dataType": "jsonp",
            "jsonp": "json.wrf",
            "success": function (json) {
              console.log("---datatable")
              console.log(json)
              console.log("---datatable")

              var o = {
                recordsTotal: json.response.numFound,
                recordsFiltered: json.response.numFound,
                data: json.response.docs
              };
              callback(o);
            }
          });
        },
        "aoColumns": [
          { "data": "id" },
          {
            "data": "title",
            "defaultContent": ""
          },

        ]
      });
    });


  </script>




</body>

</html>